<section id="book" style="margin-top: 5%;">
    <div class="container-fluid p-5">
      <app-message></app-message>
      <div *ngIf="!book" class="m-auto">
        <h1 class="text-center display-3 mt-5">
          <i class="fa fa-spinner fa-spin"></i>
        </h1>
      </div>
      <div *ngIf="book">
        <div class="row">
          <div class="col-lg-4">
            <img width="250px" [src]="book.imgUrl" alt="bookImage" class="image img-thumbnail">
          </div>
          <div class="col-lg-5">
            <div class="row">
              <div class="col-12">
                <h4 style="text-align: center; font-size: x-large;">{{ book.name }}</h4>
                <p class="rtl">
                  <small class="rtl">מאת {{ book.author }}</small>
                </p>
                <p *ngIf="book.category" class="rtl">
                  <small class="rtl">קטגוריה: {{ book.category.name }}</small>
                </p>
                <p class="rtl">
                  <small class="text-muted rtl">הוצאה לאור {{ book.publisher }}</small>
                </p>
              </div>
            </div>
            <hr>
            <p class="rtl textSize">{{ book.summary }}</p>
            <button *ngIf="logged_in_user && logged_in_user.isAdmin" style="margin-left: 5%; float: right;" class="btn btn-warning" (click)="editBook()">ערוך ספר</button>
            <button *ngIf="logged_in_user && logged_in_user.isAdmin" style="margin-left: 5%;" class="btn btn-danger" (click)="deleteBook()">מחק ספר</button>
          </div>
          <div class="col-lg-3">
            <p class="intrest">
              You and {{intrest.value}} people have looked at this book 
            </p>
            <div class="card bg-light">
              <div class="card-body">
                <h5 style="font-size: x-large;" class="card-title">Price: {{ book.price }}</h5>
                <br>
                <br>
                <a class="btn btn-warning btn-block" (click)="addToCart()">Add to Cart</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
  
  <ng-template #t let-fill="fill">
    <span *ngIf="fill === 100" class="star full">&#9733;</span>
    <span *ngIf="fill === 0" class="star">&#9733;</span>
    <span *ngIf="fill < 100 && fill > 0" class="star">
      <span class="half" [style.width.%]="fill">&#9733;</span>&#9733;
    </span>
  </ng-template>
  